Copyright: Auric Visions Ltd, 1997


Help
Modem Command Set Help

56K Faxmodem for Windows

This document is designed to provide a basic account of your 3Com U.S. Robotics modem's supported commands and responses.  This Command Reference is contained in two files:

l	Gvadwmdf.cnt

l	Gvadwmdf.hlp

which were copied to your hard disk when the modem was installed.  This file can be opened directly by double-clicking on its icon from within the Help directory (inside your Windows directory) or by typing one of the following online help commands to the modem.

Command	Displays Help on...

AT$	- Basic Commands

AT&$	- Extended (Ampersand) Commands

ATS$	- S-Registers

AT+$ 	- Voice Commands, FAX Class 1 Commands, FAX Class 2.0 Commands, V.8bis / V.80 Commands

AT#$	- Additional Features

IMPORTANT: this modem is 56Kbps capable.  However, current FCC rules limit download speeds to 53Kbps.

© 1999 3Com Corporation.  All rights reserved.

3Com, the 3Com logo, U.S. Robotics and the USRobotics logo are registered trademarks and x2 and the x2 logo are trademarks of 3Com Corporation.

Windows is a registered trademark of Microsoft Corp.

THE INFORMATION CONTAINED IN THIS DOCUMENT IS PROVIDED "AS IS," AND 3COM EXPRESSLY DISCLAIMS ANY IMPLIED OR EXPRESS WARRANTIES OR CONDITIONS OF ANY KIND, INCLUDING WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT OF INTELLECTUAL PROPERTY RELATING TO SUCH MATERIAL. IN NO EVENT SHALL 3COM BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING (WITHOUT LIMITATION) SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES, INCLUDING, WITHOUT LIMITATION, DAMAGES RESULTING FROM USE OF OR RELIANCE ON THE INFORMATION PRESENTED, LOSS OF PROFITS OR REVENUES OR COSTS OF REPLACEMENT GOODS.


Basic Commands

Any Key -  Abort - terminates the current dialing operation (from a previously issued dial command, see Dn); also terminates Repeat Mode (see A> or A/)

+++	Escape Code - sequence of characters that will set the modem to Online Command Mode when connected to a remote DCE.  There are several factors (see S-Registers for more information) which will determine whether or not an escape code will succeed:

Escape Code Guard Time (S12 setting, see S-Registers)

Escape Code Character (S2 setting, see S-Registers)

Disconnect on Escape Code option (S13 setting, see S-Registers)

AT	ATtention

A	Force Answer -  causes the modem to go off-hook, emit answer tones, and attempt to negotiate a connection.

A/	Repat last command - re-executes the last command once - A/ requires neither the AT prefix nor the Enter key.

A>	Repeat last command - re-executes last command continuously (with a two-second interval between executions).  If last command was a Dial Command then the modem redials the number until a connection is established (up to a maximum of 10 tries).

Bn	Select modem Answer Tone

B0	Modem uses CCITT Answer Tone.  Negotiates connections with V.34,  V.32 / V.32bis, V.22 or V21 (33600 - 300 bps)  [Default]

B1	Modem uses Bell Answer Tone.  Negotiates connections with Bell 212A (1200 bps) or Bell 103 (300 bps)

Dn	Dialing

D$	Display Help topic for Dial Commands and Modifiers

En	Local Command Echo - determines whether characters sent to the modem are sent back to the DTE when the modem is in Command Mode.

E0	Turns echo off

E1	Turns echo on [Default]

Fn	Online Local Echo - determines whether characters sent to the modem are sent back to the DTE when the modem is in Online Mode.

F0	Turns echo off

F1	Turns echo off  [Default]

Hn	Disconnect - set modem on/off hook

H0	On hook.

H1	Off Hook.

In	Information - displays dentification codes, diagnostics

Ln	Speaker Level - onboard speaker volume control.

L0	Low volume

L1	Low volume

L2	Medium volume  [Default]

L3	High volume

Mn	Speaker Mode - determines whether or not onboard speaker is active during certain phases of a call

M0	Turns the speaker off

M1	Speaker active until connection

M2	Speaker always active (during dialing and connection)  [Default]

M3	Speaker inactive during dialing but active until connection

On	Online Mode - return to Online Mode from Online Command Mode

O0	Return to data transmission mode.

O1	Return to data transmission mode with retrain request (forces link renegotiation).

P	Pulse Dial - forces pulse dialing

Qn	Quiet Mode - controls display of result codes

Q0	Displays result codes

Q1	Inhibits result codes

Q2	Inhibits result codes when originating calls; suppress result codes when answering

Sn	Read/Write to the S-Registers

S$	Display Help topic for S-Registers

T	Tone Dial - forces tone dialing (DTMF).

Vn	Verbal / Numeric Mode - controls result code format.

V0	Numeric result codes

V1	Verbal result codes  [Default]

Yn	Set Default NVRAM Profile

Y0	Set default profile to user profile 0. [Default]

Y1	Set default profile to user profile 1.

Y2	Set default profile to factory configuration 0  (&F0)

Y3	Set default profile to factory configuration 1  (&F1)

Y4	Set default profile to factory configuration 2  (&F2)

Zn	Reset - reset modem hardware and load configuration settings.

Z0	Reset and load configuration indicated by current Yn command (see below)

Z1	Reset and load user profile 0

Z2	Reset and load user profile 1

Z3	Reset and load factory profile 0 (&F0)

Z4	Reset and load factory profile 1 (&F1)

Z5	Reset and load factory profile 2 (&F2)


Ampersand Commands
Extended (Ampersand) Commands

&An	ARQ - enable / disable display of protocol, modulation, and comporession information in CONNECT result codes

&A0	"/ARQ" connection result codes are disabled

&A1	"/ARQ" connection result codes are enabled

&A2	Additional modulation indicator (E.G. V34) in result codes for calls at or above 4800 bps

&A3	Protocol of call reported:  LAPM, MNP, or NONE.  If modem negotiated for data compression, type of compression is added to the result code:  V42BIS, MNP5 [Default]

&Bn	DTE Data Rate

&B1	Modem DTE interface follows DTE rate, regardless of DCE connection rate [Default].

&Cn	Carrier Detect - controls RLSD (DCD) signal behavior

&C0	Forces the DCD signal to 'ON'

&C1	True DCD according to the carrier detect signal  [Default]

&Dn	Data Terminal Ready - controls DTR signal behavior

&D0	Forces the DTR signal to 'ON'

&D1	Enter Online Command Mode on DTR transition to low state; return to Online Mode on DTR transition to high state

&D2 	 Computer must send DTR for the modem to accept commands, and dropping DTR terminates a call  [Default]

&D3	 Host must send DTR for modem to accept commands, and dropping DTR terminates any active call and causes modem to reset

&Fn	Load configuration profile - factory settings

&F0	Load profile 0

&F1	Load profile 1

&F2	Load profile 2

&GnGuard Tone setting [Default varies]

&G0	No guard tone sent (US/Canada)

&G1	550 Hz guard tone follows answer tone (some European countries). Requires a BnTopic1 setting of 0

&G2	Enable 1800 Hz guard tone (U.K. and some Commonwealth countries). equires a BnTopic1 setting of 0

&Hn	Transmit Flow Control - determines DCE behavior when the modem's transmit buffer is almost full.  If transmit flow control is enabled, the modem signals to the DTE to stop transmitting.  When the buffer has subsequently dropped below 50%, the modem signals that transmission should resume (see also &I and &R)

&H0	Transmit data flow control disabled

&H1	Enables hardware flow control; modem will lower Clear to Send (CTS) when its transmit buffer fills and raise CTS when buffer empties [Default]

&H2	Enables software flow control XON/XOFFcharacters as stored in S-Registers 22 and 23, respectively.   The modem will transmit XOFF to suspend transmission and XON to resume.

&H3	Enables both hardware and software flow control

&In	Receive Software Flow Control - determines DCE behavior in response to XON and XOFF characters.  If receive software flow control is enabled, the modem suspends transmission of data to the DTE upon receipt of an XOFF and resumes transmission upon receipt of an XON (see also &H and &R).  The modem can be configured to strip the XON/XOFF characters from the transmitted data.

&I0	Disable XON/XOFF flow control of received data.  All ASCII characters are transparent to modem except escape sequence [Default].

&I1	Modem responds to XON/XOFF characters as stored in S-Registers 22 and 23, respectively.  Modem also passes the characters through to the remote DCE

&I2	Modem responds to XON/XOFF characters as defined in S-Registers 22 and 23, respectively.  Modem does not pass the characters to the remote DCE.

&Kn	Data Compression - enables MNP5 or V.42bis data compression.  Requires that an MNP or a LAPM (error controlled) connection has been established (see &M).

&K0	Data compression disabled.

&K1	Automatic enable / disable; data compression is enabled if the DTE data rate is higher than the link rate (see &B and &N commands), and the remote DCE either supports data compression [Default].

&K2	Require data compression enabled; this setting is used to keep the modem from disabling data compression

&K3	Selective data compression; disables MNP data compression, but not MNP error correction. It allows a V42bis connection with compression or an MNP connection without compression

&M	Error Control - enables modem error control (MNP3/4, V.42)

&M0	No error control. MNP or V.42 link request is ignored

&M1	RESERVED

&M2	RESERVED

&M3	RESERVED

&M4	Automatic selection between V.42, MNP error control and non-error controlled data link [Default].

&M5	Require error controlled link.  If remote DCE doesn't respond to V.42 or MNP link request, modem disconnects call.

&Nn	DCE Link Rate - selects variable or fixed DCE connection rate between the local and remote DCEs.  If used alone, modem connects to remote DCE if it operates at the specified rate.  If used with &Un (n>0), modem connects to remote DCE if it operates within the range of speeds specified (see &Un).  If the remote DCE does not support operation at the desired speed, the modem hill hang up.

(Operation using any supported modulation; no fixed link rate)

&N0	Variable link rate.  Modem adjusts to remote DCE link rate [Default].

(Fixed link rate operation using Bell 103 or V.21 modulation)

&N1	300 bps

(Fixed link rate operation using Bell 212A or V.22bis modulation)

&N2	1200 bps

&N3	2400 bps

(Fixed link rate operation using V.32, V.32bis, or V.34 modulation)

&N4	4800 bps

&N5	7200 bps

&N6	9600 bps

(Fixed link rate operation using V.32bis, or V.34 modulation)

&N7	12000 bps

&N8	14400 bps

(Fixed link rate operation using V.34 modulation)

&N9	16800 bps

&N10	19200 bps

&N11	21600 bps

&N12	24000 bps

&N13	26400 bps

&N14	28800 bps

&N15	31200 bps

&N16	33600 bps

(Fixed link rate operation using x2* or V.90 modulation)

&N17	28000 bps

&N18	29333 bps

&N19	30666 bps

&N20	32000 bps

&N21	33333 bps*

&N22	34666 bps

&N23	36000 bps

&N24	37333 bps*

&N25	38666 bps

&N26	40000 bps

&N27	41333 bps*

&N28	42666 bps*

&N29	44000 bps*

&N30	45333 bps*

&N31	46666 bps*

&N32	48000 bps*

&N33	49333 bps*

&N34	50666 bps*

&N35	52000 bps*

&N36	53333 bps*

&N37	54666 bps*

&N38	56000 bps*

&N39	57333 bps*

&Pn	Pulse Mode - Select pulse (rotary) dial make/break ratios for use in a particular country or region. [Default varies]

&P0	Pulse Dial Disabled.

&P1	U.S./Canada/Austria/Czech./Denmark/Finland/Germany/Italy/Netherlands/S. Africa/(2nd option for Asia/France/Korea/Norway/S. Africa).

&P2	Australia/Asia/Belgium/France/Ireland/Korea/Portugal/S. Africa/Spain/U.K.

&P3	Norway.

&P4

&P5	Japan.

&P6	Sweden.

&P7	(2nd option for Australia).

&Rn	Receive Data Hardware Flow Control - determines DCE behavior in response to changes in the Ready to Send (RTS).  If receive flow control is enabled, the modem suspends transmission of data to the DTE when RTS signal drops and resumes transmission when RTS is raised (see also &H and &I)

&R0	RESERVED.

&R1	RTS signal is ignored [Default].

&R2	Modem sends data to DTE only if RTS is asserted.

&Sn	Data Set Ready - controls DSR signal behavior

&S0	DSR is always asserted [Default].

&S1	DSR is asserted when modem starts a data connection and not asserted when carrier is lost.

&T	Diagnostic Test - controls the diagnostic test modes internal to the modem.

&T0	Terminates current test.

&T1	Initiates analog loop back test at any link rate, modulation, compression or error control.  S16=4 may be set for a test pattern.  Modem should be off-line when issuing this command.  If issued during on-line command mode, this command will be denied and an "ERROR" message is issued.  If modem is off-hook but not connected when this command is issued, the loopback connection will be attempted.

&T8	Initiates analog loop back with self test at any link rate, modulation, compression or error control. Modem must be off-line without any other test in progress such as, S16=1.  From off-line it will enter test and give a "OK" message.  The modem then sends out a test pattern of repeating "U's which can not be seen by the user as the modem stays in on-line command mode.  If the test is denied for one of the above reasons an "ERROR" message is issued.  If on-line when issued, modem will drop call and issue a "CONNECT..." and then be ready to send loop back characters.

Test Termination (must be in on-line command mode):

&T1	The test can be terminated by entering one of the following a &T0, or ATH0, lowering DTR, doing this modem will go off-line and issue a "OK" response; ATZ will end test and then reset modem;  the expiration of the test timer that uses S register 18.  Also, by any key if S16=4 was set.

&T8	The test can be terminated by entering a &T0, entering an ATH0, or by lowering DTR.  After getting one of these commands, the modem will give a three digit error count. 255 is used for errors greater then 255.  The modem will then go off-line and issue a "OK" response.  An ATZ will end test, issue the above error response and then reset the modem.  The test timer (S18) expiration will issue a report and an "OK" response like &T0.

&U	DCE Variable Link Rate Floor - sets minimum DCE connection data rates.  This command works in conjunction with &N.  The table below defines the interactions.

	&N=0	&N>0
&U=0 or &U>&N	Modem doesn't limit connect speed.	Modem connects at &N speed only.
&U>0	Modem connects in range from maximum speed down to &U setting	Modem connects in range from &N setting down to &U setting.
(Operation using any supported modulation)

&U0	Modem permits any minimum speed for DCE link rate [Default].

(Variable link rate operation with minimum speed using Bell 103 or V.21 modulation)

&U1	300 bps

(Variable link rate operation with minimum speed  using Bell 212A or V.22bis modulation)

&U2	1200 bps

&U3	2400 bps

(Variable link rate operation with minimum speed using V.32, V.32bis, or V.34 modulation)

&U4	4800 bps

&U5	7200 bps

&U6	9600 bps

(Variable link rate operation with minimum speed using V.32bis, or V.34 modulation)

&U7	12000 bps

&U8	14400 bps

(Variable link rate operation, floor with minimum speed using V.34 modulation)

&U9	16800 bps

&U10	19200 bps

&U11	21600 bps

&U12	24000 bps

&U13	26400 bps

&U14	28800 bps

&U15	31200 bps

&U16	33600 bps

(Variable link rate operation with minimum speed using x2* or V.90 modulation)

&U17	28000 bps

&U18	29333 bps

&U19	30666 bps

&U20	32000 bps

&U21	33333 bps*

&U22	34666 bps

&U23	36000 bps

&U24	37333 bps*

&U25	38666 bps

&U26	40000 bps

&U27	41333 bps*

&U28	42666 bps*

&U29	44000 bps*

&U30	45333 bps*

&U31	46666 bps*

&U32	48000 bps*

&U33	49333 bps*

&U34	51666 bps*

&U35	52000 bps*

&U36	53333 bps*

&U37	54666 bps*

&U38	56000 bps*

&U39	57333 bps*

&Wn	Write - store the current configuration in NVRAM

&W0	Store the current settings in NVRAM as profile 0.

&W1	Store the current settings in NVRAM as profile 1.

&Yn	Break Handling - enables various methods of  handling break sequences when a break is received from DTE or remote DCE.

&Y0	Destructive option. When modem receives break signal from DTE, it clears data from transmit buffer, but does not pass break to the remote DCE. Both local and remote Modems resets data compression tables.

&Y1	Expedited destructive option. When modem receives break signal from DTE, it clears data from transmit buffer and sends break to remote DCE Modem, also resets data compression tables [Default].

&Y2	Expedited nondestructive option. When modem receives break signal from the DTE, it does not clear transmit buffer, but sends break to remote DCE out of sequence.

&Y3	RESERVED

&Z	Write Phone Number - stores the dial string in NVRAM position 0 to 3.

&Zn=s	Writes user-specified dial string (s) into NVRAM position n

&Zn=L	Writes the last dialed number (with dial modifiers) to NVRAM position n

&Zn?	Displays the current dial string stored in NVRAM position n.

&ZL?	Displays the last executed dial string.  There are no parameters for this command.

The parameters n and s are defined as follows:

n - Position 0 through 3  [Default = 0 if no argument for n is given].

s - Dial string up to  36 characters, not including <ENTER> (Carriage Return), "AT" or space characters.  Dial modifiers are allowed in the string, but non-dial commands are not


S-Registers

S-Register Commands (ATSn)

Sn	Selects the n register as the default register.  The value of the default register will be thereafter be set to v when ATS=v is sent to the modem and the defualt register's current value will be displayed when the query ATS? is sent to the modem.

Sn=v	Sets register n to value v.  Ex: ATS15=128 will set register 15 to a value of 128.  Acceptable registers (n) are within the range of 0 to 48.  Acceptable values (v) vary for each register but never exceed 255.  Range of values is assumed to be 0-255 unless otherwise noted.

Sn?	Returns the value contained in register n.  Ex: if register 15 is set to a value of 128, then the command ATS15? will display the currrent value:

128

Sn.b=v	For Bit-Mapped Registers only.  Sets bit b of register n to value v.  Accecptable values for b are 0 - 7 and acceptable values for v are 0 (OFF) and 1 (ON).

Defined S-Registers

Reg 	Function

S0	Sets the number of rings on which to answer in Auto Answer Mode. When set to 0, Auto Answer is disabled.  [Default = 0]

S1	Counts and stores the number of rings from an incoming call.  [Default = 0]

S2	Stores the ASCII decimal code for the escape code character.  The default character is '+'.  A value between 128 and 255 disables the escape code.  [Default = 43]

S3	Stores the ASCII decimal code for the carriage return character.  Acceptable values: 0 - 127 [Default = 13]

S4	Stores the ASCII decimal code for the new line character.  Acceptable values: 0 - 127 [Default = 10]

S5	Stores the ASCII decimal code for the back space character.  Acceptable values: 0 - 32 [Default = 8]

S6	Sets the number of seconds the modem waits before dialing.  If it is set to X2 or X4, the modem ignores this register and dials as soon as it detects a dial tone (fast dials). Acceptable values: country-dependent  [Default = 2]

S7	Sets the number of seconds the modem waits for a carrier.  May be set for a much longer duration if, for example, the modem is making an international connection. Acceptable values: 36 - 255  [Default = 60]

S8	Sets the duration, in seconds, for the pause (,) option in the Dial command. [Default = 2].

S9	Sets the required duration, in tenths of a second, of the remote modem's carrier signal before recognition by the modem.  [Default = 6]

S10	Sets the required delay, in tenths of a second, during which the modem waits before hanging up after loss of the carrier signal.  This guard delay is used by the modem to differentiate between interference or other disturbance that interrupts a connection momentarily and the disconnection (going on hook) of the remote modem.  This waiting interval is set to the value of S10 minus the value of S9.  In any event S10 must be greater than S9 or the modem will disconnect before recognizing the carrier signal [Default = 7]. NOTE:  If you set S10 = 255, the modem will not hang up when carrier is lost.  Dropping DTR hangs up the modem. This possibility is country-dependent.

S11	Sets the duration and spacing, in milliseconds, for tone dialing.  Acceptable values: country-dependent [Default = 70].

S12	Sets the duration, in fiftieths of a second, of the guard time for the escape code sequence (+++)[Default = 50].

S13	Bit-Mapped register [Default = 0]

Bit	Value	Function

0	1	Reset modem on DTR drop

1	2	Reset non-MNP transmit buffer from 1.5k to 128 bytes.

2	4	Set backspace key to delete

3	8	Autodial the number stored in NVRAM location 0 when DTR is asserted

4	16	Autodial the number stored in NVRAM location 0 upon software reset or when modem is powered up

5	32	RESERVED

6	64	Disable Quick Retrains

7	128	Disconnect on escape code.

S14	RESERVED

S15	Bit-Mapped register [Default = 0]

Bit	Value	Function

0	1	RESERVED

1	2	RESERVED

2	4	RESERVED

3	8	Disable MNP handshake

4	16	Disable MNP level 4

5	32	Disable MNP level 3.  This allows MNP level 2 only

6	64	MNP handshake interoperability with older MNP modem

7	128	Disable V.42 operation

**Value 136 disables V.42 Detect Phase

S16	Test mode Bit-Mapped register [Default = 0]

Bit	Value	Function

0	1	Force Analog Loopback

1	2	Dial test - when a touch tone digit is entered from the DTE in a dial string, the tone continues until a carriage return character from the DTE aborts it - for testing purposes

2	4	Test pattern generation - A test pattern is generated by the Modem and sent out over the phone link.  A key press abort will terminate this function

3	8	Enable Remote Digital Loopback (RDL)

4	16	RESERVED

5	32	RESERVED

6	64	RESERVED

7	128	RESERVED

S17	RESERVED

S18	Stores the time in seconds for the diagnostics test mode &T.  A value of 0 disables timer [Default = 0].

S19	Stores the duration, in minutes, for inactivity timer. If modem senses no data transmission for a time exceeding the (non-zero) value in this register, it will disconnect the call.  A value of 0 disables the function [Default = 0]..

S20	RESERVED

S21	Stores, in 10-millisecond-increments, the lengths of break characters sent from modem to DTE [Default = 10].  For use in MNP or V.42 mode only.

S22	Stores ASCII decimal code for the XON character [Default = 17].

S23	Stores ASCII decimal code for the XOFF character [Default = 19].

S24	RESERVED

S25	Sets, in hundredths of second, the duration in which the DTR signal must be off for the modem not to interpret a random problem as a loss of the DTR signal.  (Most users will use the default value; this register is useful to insure compatibility with older DTEs that use older operating software.). [Default = 20]

S26	RESERVED.

S27	Low-speed connection options Bit-Mapped register [Default = 0]

Bit	Value	Function

0	1	Enable ITU-T V.21 modulation at 300bps. In V.21 mode, the modem answers both Bell 103 and V.21 calls, but only originates V.21 calls.

1	2	Enable unencoded (non-trellis-coded) modulation in V.32 mode.

2	4	Disable V.32 modulation

3	8	Disable 2100Hz answer tone to allow two V.42 modems to connect faster

4	16	Enable V.23 fallback mode

5	32	Disable V.32bis mode

6	64	RESERVED

7	128	Software compatibility mode. This setting disables the codes and displays the 9600 code instead. The actual rate of the call can be viewed on the ATI6 screen. Used for unusual software incompatibilities. Some software may not accept 7200, 12000 and 14400bps or greater result codes.

S28	Set the duration in tenths of a second of the extra 3000/600Hz answer tones set during V.32 handshaking. This gives V.32 modems additional time to connection in V.32 mode before timing out. Setting S28 to zero eliminates V.32 answer tones for a faster connection. Setting this register to 255 disables all connections except V.32 at 9600bps.

S29	Set the duration, in tenths of a second, of the V.32 answer tone.

S30	RESERVED.

S31	RESERVED.

S32	High - speed connection options Bit-Mapped register [Default = 2]

Bit	Value	Function

0	1	V.8 Call Indicate enable

1	2	Enable V.8 mode [Default = ON]

2	4	RESERVED

3	8	Disable V.34 modulation (NOTE this will also disable V.90 and x2 modulation)

4	16	Disable V.34+ modulation

5	32	Disable X2 modulation

6	64	Disable V90 modulation

7	128	RESERVED

S33	V.34 & V.34+ connection setup Bit-Mapped register [Default = 0]

Bit	Value	Function

0	1	Disable 2400 Symbol rate

1	2	Disable 2743 Symbol rate

2	4	Disable 2800 Symbol rate

3	8	Disable 3000 Symbol rate

4	16	Disable 3200 Symbol rate

5	32	Disable 3429 Symbol rate

6	64	RESERVED

7	128	Disable Shaping

S34	V.34 & V.34+ connection setup Bit-Mapped register [Default = 0]

Bit	Value	Function

0	1	Disable 8S-2D trellis encoding

1	2	Disable 16S-4D trellis encoding

2	4	Disable 32S-2D trellis encoding

3	8	Disable 64S-4D trellis encoding

4	16	Disable non-linear coding

5	32	Disable TX level deviation

6	64	Disable Pre-emphasis

7	128	Disable Pre-coding

S35	x2 Connection setup control flags. [Default = 0].

Value	Function

0	No back channel limit

1	28800 Max rate (upload)

2	26400 Max rate (upload)

3	24000  Max rate (upload)

4	21600  Max rate (upload)

5	19200  Max rate (upload)

6	16800  Max rate (upload)

7	14400  Max rate (upload)

8	Enable RBS operation

16-128	RESERVED

S36	RESERVED.

S37	RESERVED.

S38	Set on optional delay, in seconds, before a forced hang-up and clearing of the Transmit buffer when DTR drops during an ARQ call. This allows time for a remote modem to acknowledge receipt of all transmitted data before it is disconnected. [Default = 0] The modem immediately hangs up when DTR drops. If the modem receives the ATH command, it ignores S38 and immediately hangs up.

S39	Data Transmit Level - sets transmit level in –dBm.  Default level is country specific.  The transmit level adjust parameter default must be non-zero to enable this register.

S40	International Functions Bit-Mapped register [Default = 0]

Bit	Value	Function

0	1	Disable data calling tone (ITU-T V.25)

1	2	Disable blacklisting

2	4	Disable hook restriction

3	8	RESERVED

4	16	RESERVED

5	32	RESERVED

6	64	RESERVED

7	128	RESERVED

S41	Misc. FeaturesBit-Mapped register [Default = 0]

Bit	Value	Function

0	1	Distinctive Ring Enable

1	2	RESERVED

2	4	RESERVED

3	8	RESERVED

4	16	RESERVED

5	32	RESERVED

6	64	RESERVED

7	128	RESERVED

S42	RESERVED

S43	RESERVED

S44	RESERVED

S45	RESERVED

S46	RESERVED

S47	RESERVED

S48	RESERVED

S49	Fax Transmit Level - sets transmit level in –dBm.  Default level is country specific.  The transmit level adjust parameter default must be non-zero to enable this register.

S52	Set Country - the modem country code can be switched through S52.  For example, S52=0 will set the country setting to US (US has a country code of  00).  If an invalid value is entered, no change will occur.  Setting S52 to the pre-existing value will accomplish a reset of the blacklist manager and clear its contents.


Dial Commands / Modifiers
Dial Commands and Modifiers

Dn	Dial number n - originate a call; acceptable values for n include any combination of the fullowing up to limit of the command buffer (additional characters will be discarded

0 - 9	Digits used in dial string

* #	Auxiliary touch tone pad digits

ABCD	Extended auxiliary touch tone pad digits

“	Quote mode (dial the letters that follow, in an alphabetical phone; A=2, F=3, etc.)

L	Re-dial the last number dialed

Sn	Dial the phone number string stored in NVRAM at position n (0 - 3)

W	Wait for second dial tone

@	Dials, wait for a quiet answer (silence > 4 seconds).

,	Pause (Wait for S8 Time)

/	Pause 125 milliseconds

;	Return to Command Mode after dialing; subsequent characters in dial string will discarded

!	Flashes the switch hook (transfer a call)

T	Tone dialing command (DTMF)

P	Pulse dialing command

R	Reverse frequencies (allows calls to an Originate Only Modem)


V.25ter Commands

+A8Ev8o,v8a,v8cf,v8b	V.8 and V.8bis Operation [Default=(1,1,0,0)]

Acceptable values:

v8o	= 1,6

v8a	= 1,5

v8cf	= 0-ff

v8b	= 0

+DR=n	Data Compression Reporting - enables intermediate result codes for reporting Data Compression

+DR=0	Disabled (no +DR result code transmitted) [Default].

+DR=1	Enabled (+DR result code transmitted).

+ER=n	Error Control Reporting - enables  intermediate result codes for reporting Error Control

+ER=0	Disabled (no +ER intermediate result code transmitted) [Default].

+ER=1	Enabled (+ER intermediate result code transmitted).

+ES=orig_rqst,orig_fbk,ans_fbk	Error control selection [Default=(3,0,2)]

Acceptable values:

orig_rqst	=1-4,6

orig_fbk	= 0,2-4

ans_fbk	= 1,2,4-6,8

+ESR=n	Selective Reject

+ESR0	Do not use SREJ.

+ESR1	Use SREJ if available in remote DCE; continue without it if not [Default].

+ESR2	Use SREJ FCS if available in remote DCE; disconnect if SREJ is not abailable.

+GCAP	Request Complete Capabilities List - equivalent of (+FCLASS,+ES,+A8E)

+GMI	Request Manufacturer Identification.

+GMM	Request Model Identification.

+GMR	Request Revision Identification.

+MR=n	Modulation Reporting Control.

+MR=0	Disable reporting of modulation connection [Default].

+MR=1	Enable reporting of modulation connection.


FAX Class 1 Commands

+FTS=<Time>	Stop Transmission and Wait

Arguments:

+FRS=<Time>	Receive Silence

Arguments:

+FTM=<Mod>	Transmit Data with Carrier

Arguments: 24, 48, 72, 73, 74, 96, 97, 98, 121, 122, 145, 146

+FRM=<Mod>	Receive Data with Carrier

Arguments: 24, 48, 72, 73, 74, 96, 97, 98, 121, 122, 145, 146

+FTH=<Mod>	Transmit HDLC Data with Carrier

Arguments: 3

+FRH=<Mod>	Receive HDLC Data with Carrier

Arguments: 3

+FATX	Fax Modulation Test Command - takes the modem off-hook and sends out a constant carrier of the specified fax modulation.  It is used in the same way as +FTH and +FTM commands and is only valid in Class 1 or Class 2.0 modes, but depends on a keyboard abort to stop transmission and place the modem back on-hook.

Arguments: 24, 48, 72, 73, 74, 96, 97, 98, 121, 122, 145, 146


Fax Class 2.0 Commands

Action Commands

+FDT	Data Transmission - no arguments

+FDR	Data Reception - no arguments

+FKS	Session Termination

Arguments: 000

+FIP	Initialize Facsimile Parameters

Arguments: (0,1),(0-5),(0-2),(0-2),(0-1),(0),(0),(0-7)

Parameters

+FMI?	Request Manufacturer Identification

+FMM?Request Model Identification

+FMR	Request Revision Identification

+FCC	DCE Capabilities Parameters

Arguments: (0,1),(0-5),(0-2),(0-2),(0-1),(0),(0),(0-7)

+FIS	Current Session Parameters

Arguments: (0,1),(0-5),(0-2),(0-2),(0-1),(0),(0),(0-7)

+FCS	Current Session Results - no arguments

+FLI	Local ID Strings, TSI/CSI

Arguments: (20-7E)

+FPI	Local ID Strings, CIG

Arguments: 000

+FLP	Indicate Document to Poll

Arguments: 000

+FSP	Request to Poll

Arguments: (0,1)

+FNR	Negotiation Message Reporting

Arguments: (0,1),(0,1),(0,1),(0,1)

+FIE	Procedure Interrupt Enable

Arguments: 0

+FPS	Page Status - no arguments

+FCQ	Copy Quality Checking

Arguments: (0,1),0

+FLO	Flow Control Select

Arguments: (0-2)

+FPR	Serial Port Rate Control

Arguments: (0-30)

+FPP	Packet Protocol Control

Arguments: (0,1)

+FBO	Data Bit Order

Arguments: (0,1)

+FEA	Phase C Received EOL Alignment

Arguments: 000

Optional Parameters

+FNS	Non-Standard Frame FIF Octet String - no arguments

+FCR	Capability to Receive

Arguments: (0,1)

+FBU	HDLC Frame Reporting

Arguments: 0

+FRQ	Receive Quality Thresholds

Arguments: 0,0

+FAA	Adaptive Answer

Arguments: (0,1)

+FCT	DTE Phase C Response Timeout

Arguments: (0-FF)

+FHS	Call Termination Status - no arguments

+FRY	ECM Retry Count

Arguments: 0

+FMS	Minimum Phase C Speed

Arguments: 0

+FFC	Format conversion

Arguments: 0,0,0,0

+FBS	Buffer Size - no arguments


V.8bis, V.80 Commands

Modem Configuration Commands

+A8E	V.8 / V.8 bis Mode - enable V.8 and V.8bis operation.

Command Format:

A8E=<v8o>,<v8a>,<v8cf>[,<v8b>][,<cfrange>][,<protrange>]

Supported Values:

+A8E: (1,6),(1,5),(0-ff),0

+ES	Enable Synchronous Mode  - allows the DTE to specify Synchronous Access Mode.

Command Format:

+ES=[<orig_rqst>[,<orig_fbk>[,<ans_fbk>]]]

Supported Values:

+ES: (1-4,6),(0,2-4),(1,2,3-6,8)

+ESA	Synchronous Access Mode Configuration - allows the DTE to configure parameters for Synchronous Access Mode.

Command Format:

+ESA=[<trans_idle>[,<framed_idle>[,<framed_un_ov> [,<hd_auto>[,<crc_type>[,<nrzi_en>[,<syn1>[,<syn2>]]]]]]]]

Supported Values:

+ESA: (0,1),0,(0,1),,(0,1),0,(0-255)

Synchronous Access Mode Operation Subparameters

+ITF	Transmit Flow Control Thresholds - allows the DTE to limit the amount of data buffered in the modem.

Command Format:

+ITF=[<off>[,<on>[,<report_period>]]]

Supported Values:

+ITF: (0-1024),(0-1024)

In-Band Commands and Events


International Configuration
International Settings

The following guide references commands that should be useful to users who with to change operating parameters for use of the modem in different countries.

ATI21, I21

+FATX

ATS39, S49, S40, S52


Additional Features
Additional Modem Features

#CID=n	Enable Caller ID Detection / Select Reporting Format.

Acceptable values for n:

?	Returns a message indicating the values supported

0	Disables Caller ID [Default]

1	Enables formatted Caller ID reporting of ICLID SDM and MDM packets

2	Enables unformatted Caller ID reporting of an ICLID packet.

also #CID? which returns the current setting

#UD	Unimodem Diagnostics Command - no parameters


Unimodem Diagnostics Command

The Unimodem Diagnositcs command (AT#UD) will generate a report detailing information about the current connection (when issued in Online Command Mode) or the last connection that was attempted.  Resetting the modem (via ATZ or power loss) will also reset these data to default values.

See also http://www.microsoft.com/hwdev/respec/commspec.htm

Format of #UD response:

AT#UD will generate a series lines of coded response data in the following format.

DIAG <2A4D3263 Key=Value Key=Value Key=Value>

Blue elements are static: they appear in every line and have no purpose other than to format the response data.

Red elements are dynamic: they contain numeric values (in hexadecimal) or codes that can be looked up in tables.

Key indicates a hexadecimal number (code) that correlates to a value in the table below.

Value indicates a hexadecimal number that expresses the magnitude of the diagnostic data referred to by the preceding Key (e.g. for 0=10 the diagnostic data referred to by key 0 -- the #UD Specification supported by the modem -- has a magnitude of 10, which means that the modem supports #UD Spec., revision 1.0)

Elements in italics are optional: A line may have any number of Key=Value pairs, but must have at least one.

Some example #UD output:

DIAG <2A4D3263 0=10>

DIAG <2A4D3263 1=0 2=0 3=0>

DIAG <2A4D3263 4=>

DIAG <2A4D3263 5=>

DIAG <2A4D3263 10=0>

DIAG <2A4D3263 11=0>

OK

Table of Key Definitions in #UD 1.0

Key	Value(s)	Definition
0	2 digits	Diagnostic Command Specification revision number, digit.digit
1	Table1	Call Setup Result code
2	Table2	Multi-media mode
3	Table3	DTE-DCE interface mode
4	String	V.8CM octet string, same format as V.25ter Annex A, in quotes
5	String	V.8JM octet string, same format as V.25ter Annex A, in quotes
6-F		Reserved for call negotiation reports
10	0-2F	Received signal power level, in -dBm(0-43)
11	0-1F	Transmit signal power level, in -dBm(0-17)
12	0-64	Estimated noise level, in -dBm(e.g. 10-90)
13	0-FF	Normalized Mean Squared error, 100(0x64)=minimum inter-symbol distance
14	0-3F	Near echo loss, in units of dB
15	0-3F	Far echo loss, in units of dB
16	0-3F	Far echo delay, in units of ms
17	0-FFF	Round Trip delay, in units of ms
18	Table4	V.34 INFO bit map
19-1F		Reserved for modulation setup and training reports
20	Table5	Transmit Carrier Negotiation Result
21	Table5	Receive Carrier Negotiation Result
22	0-1F40	Transmit Carrier symbol rate (0-8000) in symbol/s
23	0-1F40	Receive Carrier symbol rate (0-8000) in symbol/s
24	0-FA0	Transmit Carrier frequency (0-4000) in Hz
25	0-FA0	Receive Carrier frequency (0-4000) in Hz
26	0-FA00	Initial transmit carrier data rate (0-64000) in bit/s
27	0-FA00	Initial receive carrier data rate (0-64000) in bit/s
28-2F		Reserved
30	0-FF	Temporary carrier loss event count
31	0-FF	Carrier Rate re-negotiation event count
32	0-FF	Carrier Retrains requested
33	0-FF	Carrier Retrain requests granted
34	0-FA00	Final transmit carrier data rate in bit/s
35	0-FA00	Final receive carrier data rate in bit/s
36-3F		Reserved
40	Table6	Protocol Negotiation Result
41	0-400	Error Control frame size in bytes
42	0-FF	Error Control link timeouts
43	0-FF	Error Control link NAKs
44	Table7	Compression Negotiation Result
45	0-200	Compression dictionary size in bytes
46-4F		Reserved
51	0-2	Receive flow control: 0=off; 1=DC1/DC3; 2=V.24 ckt 106/133
52	0-FFFFFFFF	Transmit characters sent from DTE
53	0-FFFFFFFF	Receive characters sent to DTE
54	0-FFFF	Transmit characters loss(data overrun errors from DTE)
55	0-FFFF	Receive characters loss(data overrun errors to DTE)
56	0-FFFFFFFF	Transmit Frame count, if error control protocol running
57	0-FFFFFFFF	Receive Frame count, if error control protocol running
58	0-FFFF	Transmit Frame error count, if error control protocol running
59	0-FFFF	Receive Frame error count, if error control protocol running
5A-5F		Reserved
60	Table 8	Termination Cause
61	0-FF	Call Waiting event count
62-7F		Reserved for future versions of this specification
80-FF		Reserved for manufacturer proprietary keys


#UD Call Cleared Codes

A value other than 1 or 2 indicates that the DCE has gone on hook and that a previously existing network connection has been cleared.

Value	Description	Notes
0	CauseUnidentified	Call setup issues
1	No Previous call	Not in V.58
2	Call is still in progress	Not in V.58
3	Call Waiting signal detected	Not in V.58, only if modem can detect it
4	Delayed	Same as value 2A, CallAttemptsLimitExceeded
A	NMSinitiatedDialCall	-- Network Management System
B	NMSinitiatedLeasedLineRestoral
C	NMSinitiatedRedial
D	NMSinitiatedDialDisconnect
14	PowerLoss	DCE
15	EquipmentFailure
16	FrontPanelDisconnectRequested	If there is a front panel with this control
17	FrontPanelLeasedLineRestoral
18	AutomaticLeasedLineRestoral
19	InactivityTimerExpired
1E	cct116RestoralRequest	DTE Interface
1F	cct108isOffInhibitsDial
20	cct108turnedOff	This is hangup with &D2
28	NoNumberProvided	Prohibited by some national regulations
29	BlacklistedNumber
2A	CallAttemptsLimitExceeded	Same as "Delayed", see ETS 300 001
2B	ExtensionPhoneOffHook	If extension detection supported
2C	CallSetupFailTimerExpired	e.g. S7 timeout
2D	IncomingCallDetected	If incoming call while sending dial command.
2E	LoopCurrentInterrupted
2F	NoDialTone
30	VoiceDetected
31	ReorderTone	"Fast Busy"
32	SitTone
33	EngagedTone
34	LongSpaceDisconnect	And if modem program to abort on long space
3C	CarrierLost	Signal Converter
3D	TrainingFailed
3E	NoModulationinCommon
3F	RetrainFailed
40	RetrainAttemptCountExceeded
41	GstnCleardownReceived
42	FaxDetected	If this was not a fax call attempt (note 10)
46	InTestMode	Test
47	IntrusiveSelfTestInitiated
50	AnyKeyAbort	Call Control
51	DteHangupCommand	If ATH was used to terminate the previous call.
52	DteResetCommand	If ATZ was used to terminate the previous call.
5A	FrameReject	Error Control
5B	NoErrorControlEstablished	Error control was required
5C	ProtocolViolation
5D	n400exceeded
5E	NegotiationFailed
5F	DisconnectFrameReceived
60	SabmeFrameReceived
64	LossOfSynchronization	Data Compression


Plus Commands

Plus (+) Commands support a number of different modem Functions

l	FAX Commands

Class 1

Class 2.0

l	V.8bis and V.80 Commands


Information
Identification Commands (ATIn)

I0	Product code.

I1	ROM checksum.

I2	RAM checksum and status (self-test).

I3	Product identification and revision.

I4	Current modem settings.

I5	User profiles – stored NVRAM settings.

I6	Link diagnostics.

I7	Firmware and DSP revision information; product configuration, features.

I11	High-speed link diagnostics.

I20	Display country table values

I21	Display the current blacklist manager contents


NVRAM
Non-Volatile RAM (NVRAM)

In addition to its three Read-Only Memory template (called factory configurations, see &F command documentation in Extended Commands), the modem also maintains two settings templates (called user profiles) in NVRAM.  These templates are not lost when the modem loses power, and can be modified (using the &W command) or loaded (using either the Z command) as necessary.  By default, user profile 0 contains the same settings as the &F1 factory configuration and user profile 1 contains the same settings as the &F2 factory configuration.  Telephone numbers by also be stored in (via the &Zn= command) and dialed from (via the DSn command) any of three phone number positions (0-2) in NVRAM.

Writing to a particular template (AT&Wn)

After configuring the modem to desired settings (including initializing Commands, S-Registers port rate, data bits, parity, stop bits), the current modem settings can then be copied to a user profile for later use.

&W0	Write all current settings to user profile 0

&W1	Write all current settings to user profile 1

Resetting to a particular template (ATZn)

The modem's reset command specifies which configuration (user- or factory-specified) is loaded after the modem's harware reset is complete.

Z0	Reset and load configuration indicated by current Yn command (see below)

Z1	Reset and load user profile 0

Z2	Reset and load user profile 1

Z3	Reset and load factory profile 0 (&F0)

Z4	Reset and load factory profile 1 (&F1)

Z5	Reset and load factory profile 2 (&F2)

Changing default reset behavoir (ATYn)

The modem can be configured to load any of the ROM or NVRAM templates on reset using the Y command.  The changes effected by the Y command are immediate (no additional &W command need be sent to save the default profile setting)

Y0	Set default profile to user profile 0. [Default]

Y1	Set default profile to user profile 1.

Y2	Set default profile to factory configuration 0  (&F0)

Y3	Set default profile to factory configuration 1  (&F1)

Y4	Set default profile to factory configuration 2  (&F2)

Storing phone number in NVRAM

The &Zn=x command allows a phone number x (including Dial Modifiers, up to 36 total characters) to be stored in NVRAM number position n.

Dialing phone numbers stored in NVRAM

The DSn command dials the number stored at position n.

Restoring all Facory NVRAM settings

The following command will reset the modem's user configurations to factory settings:

ATQ0V1E1&D2&C1S0=0&F1&W&F2&W1YZ

AT&Z=18472626000&Z1=2626000


Bit-Mapped
Bit-Mapped S-Registers

Certain S-Registers (such as S13) control several functions simultaneously.  In such a case, the functions are "mapped" to bits in the register's overall value; these functions can be enabled or disabled by setting the corresponding bit to one or zero.  The final combination of disabled and enabled functions can be set to the modem as a series of commands or as a single command (see S-Registers for command syntax).

Setting All Bits in a Bit-Mapped Register

All bits of a given bit-mapped S-Register can be set by adding together the values of the bits to be enabled and setting the register to the resultant number.  For example:

S50

BitValue	Function

0	1	A

1	2	B

2	4	C

3	8	D

4	16	E

5	32	F

6	64	G

7	128	H

To enable functions C, E, F, and G add values 4, 16, 32, and 64, then send ATS50=116

Enabling / Disabling Single Bits in a Bit-Mapped Register

Using the command ATSn.b=v, individual bits can be set without affecting the value of the remaining (unspecified bits).  Using the previous example, if function A needs to be enables without affecting previous settings for functions C, E, F, and G, then send ATS50.0=1


Basic Result Codes
Result Codes

Disabling modem result codes (Qn)

Verbal / Numeric result codes (Vn)

Basic result code sets (Xn)

Numeric	Verbal	X0	X1	X2	X3	X4

1	CONNECT	•	•	•	•	•

2	RING	•	•	•	•	•

3	NO CARRIER	•	•	•	•	•

4 	ERROR	•	•	•	•	•

5	CONNECT 1200	•	•	•	•

6	NO DIAL TONE	•	•

7	BUSY	•	•

8	NO ANSWER	•	•

9	Reserved

10	CONNECT 2400	•	•	•	•

11	RINGING	•

18	CONNECT 4800	•	•	•	•

20	CONNECT 7200	•	•	•	•

13	CONNECT 9600	•	•	•	•

21	CONNECT 12000	•	•	•	•

25	CONNECT 14400	•	•	•	•

43	CONNECT 16800	•	•	•	•

85	CONNECT 19200	•	•	•	•

91	CONNECT 21600	•	•	•	•

99	CONNECT 24000	•	•	•	•

103	CONNECT 26400	•	•	•	•

107	CONNECT 28800	•	•	•	•

151	CONNECT 31200	•	•	•	•

155	CONNECT 33600	•	•	•	•

180	CONNECT 33333	•	•	•	•

184	CONNECT 34666	•	•	•	•

188	CONNECT 36000	•	•	•	•

192	CONNECT 37333	•	•	•	•

196	CONNECT 38666	•	•	•	•

200	CONNECT 40000	•	•	•	•

204	CONNECT 41333	•	•	•	•

208	CONNECT 42666	•	•	•	•

212	CONNECT 44000	•	•	•	•

216	CONNECT 45333	•	•	•	•

220	CONNECT 46666	•	•	•	•

224	CONNECT 48000	•	•	•	•

228	CONNECT 49333	•	•	•	•

232	CONNECT 50666	•	•	•	•

236	CONNECT 52000	•	•	•	•

240	CONNECT 53333	•	•	•	•

244	CONNECT 54666	•	•	•	•

248	CONNECT 56000	•	•	•	•

252	CONNECT 57333	•	•	•	•

Adaptive Dialing	•	•	•	•

Wait for 2nd Dial Tone (W)	•	•	•	•

Wait for Answer (@)	•	•	•	•

Fast Dial	•	•	•	•

Connection modulation and protocol information (&An)

&A0	No protocol or modulation information

&A1	Protocol present or absent

&A2	Protocol present or absent + modulation

&A3	Protocol present or absent + modulation + specific protocol and compression


ARQ Result Codes
&A1 Result Codes

Numeric	Verbal

14	CONNECT/ARQ (only when X is set to 0)

15	CONNECT 1200/ARQ

16	CONNECT 2400/ARQ

19	CONNECT 4800/ARQ

24	CONNECT 7200/ARQ

17	CONNECT 9600/ARQ

22	CONNECT 12000/ARQ

26	CONNECT 14400/ARQ

47	CONNECT 16800/ARQ

88	CONNECT 19200/ARQ

94	CONNECT 21600/ARQ

100	CONNECT 24000/ARQ

104	CONNECT 26400/ARQ

108	CONNECT 28800/ARQ

152	CONNECT 31200/ARQ

156	CONNECT 33600/ARQ

181	CONNECT 33333/ARQ

185	CONNECT 34666/ARQ

189	CONNECT 36000/ARQ

193	CONNECT 37333/ARQ

197	CONNECT 38666/ARQ

201	CONNECT 40000/ARQ

205	CONNECT 41333/ARQ

209	CONNECT 42666/ARQ

213	CONNECT 44000/ARQ

217	CONNECT 45333/ARQ

221	CONNECT 46666/ARQ

225	CONNECT 48000/ARQ

229	CONNECT 49333/ARQ

233	CONNECT 50666/ARQ

237	CONNECT 52000/ARQ

241	CONNECT 53333/ARQ

245	CONNECT 54666/ARQ

249	CONNECT 56000/ARQ

253	CONNECT 57333/ARQ

257	CONNECT 28000/ARQ

261	CONNECT 29333/ARQ

265	CONNECT 30666/ARQ

269	CONNECT 32000/ARQ

273	CONNECT 33333/ARQ

277	CONNECT 34666/ARQ

281	CONNECT 36000/ARQ

285	CONNECT 37333/ARQ

289	CONNECT 38666/ARQ

293	CONNECT 40000/ARQ

297	CONNECT 41333/ARQ

301	CONNECT 42666/ARQ

305	CONNECT 44000/ARQ

309	CONNECT 45333/ARQ

313	CONNECT 46666/ARQ

317	CONNECT 48000/ARQ

321	CONNECT 49333/ARQ

325	CONNECT 50666/ARQ

329	CONNECT 52000/ARQ

333	CONNECT 53333/ARQ

337	CONNECT 54666/ARQ

341	CONNECT 56000/ARQ

345	CONNECT 57333/ARQ

349	CONNECT 58666/ARQ

353	CONNECT 60000/ARQ

357	CONNECT 61333/ARQ

361	CONNECT 62666/ARQ

365	CONNECT 64000/ARQ


ARQ Result Codes with Modulation
&A2 Result Codes

Numeric	Verbal

120	CONNECT 2400/V34

38	CONNECT 4800/V32

124	CONNECT 4800/V34

40	CONNECT 7200/V32

128	CONNECT 7200/V34

33	CONNECT 9600/V32

132	CONNECT 9600/V34

41	CONNECT 12000/V32

136	CONNECT 12000/V34

45	CONNECT 14400/V32

140	CONNECT 14400/V34

144	CONNECT 16800/V34

148	CONNECT 19200/V34

111	CONNECT 21600/V34

113	CONNECT 24000/V34

115	CONNECT 26400/V34

117	CONNECT 28800/V34

153	CONNECT 31200/V34

157	CONNECT 33600/V34

182	CONNECT 33333/X2

186	CONNECT 34666/X2

190	CONNECT 36000/X2

194	CONNECT 37333/X2

198	CONNECT 38666/X2

202	CONNECT 40000/X2

206	CONNECT 41333/X2

210	CONNECT 42666/X2

214	CONNECT 44000/X2

218	CONNECT 45333/X2

222	CONNECT 46666/X2

226	CONNECT 48000/X2

230	CONNECT 49333/X2

234	CONNECT 50666/X2

238	CONNECT 52000/X2

242	CONNECT 53333/X2

246	CONNECT 54666/X2

250	CONNECT 56000/X2

254	CONNECT 57333/X2

258	CONNECT 28000/V90

262	CONNECT 29333/V90

266	CONNECT 30666/V90

270	CONNECT 32000/V90

274	CONNECT 33333/V90

278	CONNECT 34666/V90

282	CONNECT 36000/V90

286	CONNECT 37333/V90

290	CONNECT 38666/V90

294	CONNECT 40000/V90

298	CONNECT 41333/V90

302	CONNECT 42666/V90

306	CONNECT 44000/V90

310	CONNECT 45333/V90

314	CONNECT 46666/V90

318	CONNECT 48000/V90

322	CONNECT 49333/V90

326	CONNECT 50666/V90

330	CONNECT 52000/V90

334	CONNECT 53333/V90

338	CONNECT 54666/V90

342	CONNECT 56000/V90

346	CONNECT 57333/V90

350	CONNECT 58666/V90

354	CONNECT 60000/V90

358	CONNECT 61333/V90

362	CONNECT 62666/V90

366	CONNECT 64000/V90

122	CONNECT 2400/ARQ/V34

39	CONNECT 4800/ARQ/V32

126	CONNECT 4800/ARQ/V34

44	CONNECT 7200/ARQ/V32

130	CONNECT 7200/ARQ/V34

37	CONNECT 9600/ARQ/V32

134	CONNECT 9600/ARQ/V34

42	CONNECT 12000/ARQ/V32

138	CONNECT 12000/ARQ/V34

46	CONNECT 14400/ARQ/V32

141	CONNECT 14400/ARQ/VFC

142	CONNECT 14400/ARQ/V34

145	CONNECT 16800/ARQ/VFC

146	CONNECT 16800/ARQ/V34

149	CONNECT 19200/ARQ/VFC

150	CONNECT 19200/ARQ/V34

98	CONNECT 21600/ARQ/VFC

112	CONNECT 21600/ARQ/V34

102	CONNECT 24000/ARQ/VFC

114	CONNECT 24000/ARQ/V34

106	CONNECT 26400/ARQ/VFC

116	CONNECT 26400/ARQ/V34

110	CONNECT 28800/ARQ/VFC

118	CONNECT 28800/ARQ/V34

154	CONNECT 31200/ARQ/V34

158	CONNECT 33600/ARQ/V34

183	CONNECT 33333/ARQ/X2

187	CONNECT 34666/ARQ/X2

191	CONNECT 36000/ARQ/X2

195	CONNECT 37333/ARQ/X2

199	CONNECT 38666/ARQ/X2

203	CONNECT 40000/ARQ/X2

207	CONNECT 41333/ARQ/X2

211	CONNECT 42666/ARQ/X2

215	CONNECT 44000/ARQ/X2

219	CONNECT 45333/ARQ/X2

223	CONNECT 46666/ARQ/X2

227	CONNECT 48000/ARQ/X2

231	CONNECT 49333/ARQ/X2

235	CONNECT 50666/ARQ/X2

239	CONNECT 52000/ARQ/X2

243	CONNECT 53333/ARQ/X2

247	CONNECT 54666/ARQ/X2

251	CONNECT 56000/ARQ/X2

255	CONNECT 57333/ARQ/X2

259	CONNECT 28000/ARQ/V90

263	CONNECT 29333/ARQ/V90

267	CONNECT 30666/ARQ/V90

271	CONNECT 32000/ARQ/V90

275	CONNECT 33333/ARQ/V90

279	CONNECT 34666/ARQ/V90

283	CONNECT 36000/ARQ/V90

287	CONNECT 37333/ARQ/V90

291	CONNECT 38666/ARQ/V90

295	CONNECT 40000/ARQ/V90

299	CONNECT 41333/ARQ/V90

303	CONNECT 42666/ARQ/V90

307	CONNECT 44000/ARQ/V90

311	CONNECT 45333/ARQ/V90

315	CONNECT 46666/ARQ/V90

319	CONNECT 48000/ARQ/V90

323	CONNECT 49333/ARQ/V90

327	CONNECT 50666/ARQ/V90

331	CONNECT 52000/ARQ/V90

335	CONNECT 53333/ARQ/V90

339	CONNECT 54666/ARQ/V90

343	CONNECT 56000/ARQ/V90

347	CONNECT 57333/ARQ/V90

351	CONNECT 58666/ARQ/V90

355	CONNECT 60000/ARQ/V90

359	CONNECT 61333/ARQ/V90

363	CONNECT 62666/ARQ/V90

367	CONNECT 64000/ARQ/V90


ARQ Result Codes with Modulation, Compression
&A3 Result Codes

Numeric	Verbal


Synchronous Access Mode In-Band Commands

X marks indicates a supported modem Option.  Blanks indicate the function is not applicable.

Command/ indication pair symbol	Hex codes	Description, circuit 103	Description, circuit 104	Trans- parent sub- mode	Framed sub- mode
		Character Transparency	Character Transparency
<EM><t1>	5C	transmit one 19h pattern	received one 19h pattern	X	X
<EM><t2>	76	transmit one 99h pattern	received one 99h pattern	X	X
<EM><t3>	A0	transmit DC1	received DC1	X	X
<EM><t4>	A1	transmit DC3	received DC3	X	X
<EM><t5>	5D	transmit two 19h patterns	received two 19h patterns	X	X
<EM><t6>	77	transmit two 99h patterns	received two 99h patterns	X	X
<EM><t7>	A2	transmit two DC1 patterns	received two DC1 patterns	X	X
<EM><t8>	A3	transmit two DC3 patterns	received two DC3 patterns	X	X
<EM><t9>	A4	transmit 19h, 99h	received 19h, 99h	X	X
<EM><t10>	A5	transmit 19h, DC1	received 19h, DC1	X	X
<EM><t11>	A6	transmit 19h, DC3	received 19h, DC3	X	X
<EM><t12>	A7	transmit 99h, 19h	received 99h, 19h	X	X
<EM><t13>	A8	transmit 99h, DC1	received 99h, DC1	X	X
<EM><t14>	A9	transmit 99h, DC3	received 99h, DC3	X	X
<EM><t15>	AA	transmit DC1, 19h	received DC1, 19h	X	X
<EM><t16>	AB	transmit DC1, 99h	received DC1, 99h	X	X
<EM><t17>	AC	transmit DC1, DC3	received DC1, DC3	X	X
<EM><t18>	AD	transmit DC3,19h	received DC3, 19h	X	X
<EM><t19>	AE	transmit DC3, 99h	received DC3, 99h	X	X
<EM><t20>	AF	transmit DC3, DC1	received DC3, DC1	X	X
<EM><mark>	B0	begin transparent	HDLC Abort detected in	X	X
		sub-mode	Framed sub?Mode		(receive only)
<EM><flag>	B1	transmit a flag; enter	Non?flag to flag transition	X
		Framed sub-mode if	detected. Preceding data
		currently in Transparent	was valid frame; FCS valid
		sub-Mode. If enabled,	if CRC checking was
		precede with FCS if this	enabled
		follows a non-flag octet
		sequence
<EM><err>	B2	– transmit Abort –	Non-flag to flag transition	X
			detected. Preceding data
			was not a valid frame
<EM><hunt>	B3	put receiver in hunt	– not applicable –	X	X
		condition		X	X
<EM><under>	B4	– not applicable –	transmit data underrun	X	X
<EM><tover>	B5	– not applicable –	transmit data overrun	X	X
<EM><rover>	B6	– not applicable –	receive data overrun	X	X
<EM><resume>	B7	resume after transmit	– not applicable –		X
		underrun or overrun
<EM><bnum>	B8	– not applicable –	the following octets,	X	X
			<octnum0><octnum1 >,
			specify the number of
			octets in the transmit data
			buffer.
<EM><unum>	B9	– not applicable –	the following octets,		X
			<octnum0><octnum1>,
			specify the number of
			discarded octets
		Duplex carrier control	Duplex carrier status
<EM><eot>	BA	terminate carrier, return	loss of carrier detected,	X	X
		to command state	return to command state	X	X
<EM><ecs>	BB	go to on-line command	confirmation of	X	X
		state	<EM><esc> command	X	X
<EM><rrn>	BC	Request rate reneg.	indicate rate reneg.	X	X
		(duplex)	(duplex)	X	X
<EM><rtn>	BD	Request rate retrain	indicate rate retrain	X	X
		(duplex)	(duplex)	X	X
<EM><rate>	BE	Following octets,	retrain/reneg. completed;	X	X
		<tx><rx>,	following octets, <tx><rx>,	X	X
		set max. tx and rx rates	indicate tx and rx rates	X	X


&F Profile
&F0 Profile

No Flow Control Template

This profile does not utilize flow control (regulation the flow of data between the DCE and the DTE) and is generally used for low-performance applications.  See also &F1 Profile, &F2 Profile.

Bold text indicates a deviation from the default profile (&F1)

DTE Settings

DTE Rate: 9600 bps

Word length: 7 bits

Parity: Even

Stop Bits: 1

Dial Options:

Tone Dial (ATT)

Basic Command Settings:

B0  E1  F1  L2  M1  Q0  V1  X1

Extended Command Settings:

&A1  &C1  &D2  &G0*  &H0  &I0  &K1  &M4  &N0  &P2*  &R1  &S0  &T5  &U0  &Y1

*Settings for guard tone and pulse dial make-break ratios are determined by the contry of operation which is selected when the modem is installed and can be modified by the user.


&F1 Profile

Hardware Flow Control Template [Default]

This profile configures the modem to monitor special signals (RTS and CTS) which regulate the flow of data between the DCE and the DTE.  See also &F0 Profile, &F2 Profile.

DTE Settings

DTE Rate: 19200 bps

Word length: 8 bits

Parity: None

Stop Bits: 1

Dial Options:

Tone Dial (ATT)

Basic Command Settings:

B0  E1  F1  L2  M1  Q0  V1  X4

Extended Command Settings:

&A3  &C1  &D2  &G0*  &H1  &I0  &K1  &M4  &N0  &P2*  &R2  &S0  &T5  &U0  &Y1

*Settings for guard tone and pulse dial make-break ratios are determined by the contry of operation which is selected when the modem is installed and can be modified by the user.


&F2 Profile

Hardware Flow Control Template [Default]

This profile configures the modem to send and receive special characters (XON and XOFF) which regulate the flow of data between the DCE and the DTE.  See also &F0 Profile, &F1 Profile.

Bold text indicates a deviation from the default profile (&F1)

DTE Settings

DTE Rate: 19200 bps

Word length: 8 bits

Parity: None

Stop Bits: 1

Dial Options:

Tone Dial (ATT)

Basic Command Settings:

B0  E1  F1  L2  M1  Q0  V1  X4

Extended Command Settings:

&A3  &C1  &D2  &G0*  &H2  &I2  &K1  &M4  &N0  &P2*  &R1  &S0  &T5  &U0  &Y1

*Settings for guard tone and pulse dial make-break ratios are determined by the contry of operation which is selected when the modem is installed and can be modified by the user.


AT

The Attention command prefix.  Use AT alone to test fot the OK result code.  AT must prefix all commands except A/, A> and +++.


Command Mode

Modem operating mode in which AT commands can be sent.  This differs from Online Mode in that the modem will not respond to commands in Online Mode, but will instead transmit all data received from the DTE to the remote DCE.  The modem is always in Command Mode when not connected to another modem and can be placed in Online Command Mode while the modem is connected to another DCE.

The modem's operating mode can be chaged from Online to Command by

l	terminating the current connection

l	lowering DTR (requires &D1 setting)

l	issuing the Escape Sequence (+++ by default)

l	dialing with ; modifier


Online Mode

Modem operating mode in whichall data received from the DTE is transmited to the remote DCE.

This differs from Command Mode in that AT commands can be sent to the modem when in Command Mode, but are ignored in Online mode.

The modem's operating mode can be chaged from Command to Online by dialing and connecting to another modem or by, or issuing the Return Online Command (On)


DCE
Data Communications Equipment (DCE)

A modem, or more specifially any of a class of dial up commumications devices that establish and control data links via the telephone network.

Distinctions are made between the Local DCE and the Remote DCE as well as Originating (Dialing) or Answering DCE for purposes of clarity.  Where not otherwise specified, a DCE is assumed to be local (installed on the user's system) and originating (placing rather than answering calls).


DTE
Data Terminal Equipment (DTE)

A computer that generates the data the modem is to transmit or uses the data the modem receives, or more generally, the computer in which your modem is installed.


Carrier

A tone signifying a connection that the modem can alter to communicate data across telephone lines.


V.25ter Error Control Codes

The following intermediate result codes indicate the status of negotiated Error Control for the active connection.

+ER: NONE	Error control is not in use.

+ER: LAPM	ITU-T Rec. V.42LAPM protocol is in use.

+ER: ALT	V.42 Alternative protocol (MNP) is in use.


V.25ter Data Compression Codes
V.25ter Data Cmpression Codes

The following intermediate result codes indicate the status of negotiated Data Compression for the active connection.

+DR: NONE	Data compression is not in use.

+DR: V42B	ITU-T Rec. V.42bis is in use in both directions.

+DR: V42B RD	ITU-T Rec. V.42bis is in use in receive direction only.

+DR: V42B TD	ITU-T Rec. V.42bis is in use in transmit direction only.


Hexadecimal

Refers to the base-16 number system, which consists of 16 unique symbols: the numbers 0 to 9 and the letters A to F. For example, the decimal number 15 is represented as F in the hexadecimal numbering system. The hexadecimal system is useful because it can represent every byte (8 bits) as two consecutive hexadecimal digits. It is easier for humans to read hexadecimal numbers than binary numbers.


#UD Call Setup Result Codes
#UD Call SetupResult Codes Table

Code	Definition
0	No previous call (modem log has been cleared since any previous calls)
1	No dial tone detected
2	Reorder signal detected, network busy
3	Busy signal detected
4	No recognized signal detected (e.g. no signal, or nothing recognizable)
5	Voice detected * if this is a voice modem (e.g. V.253) operating in voice mode (e.g. +FCLASS=8.0)
6	Text telephone signal detected (see V.18)
7	Data Answering signal detected (e.g. V.25 ANS, V.8 ANSam)
8	Data Calling signal detected (e.g. V.25 CT, V.8 CI)
9	Fax Answering signal detected (e.g. T.30 CED, DIS)
A	Fax Calling signal detected (e.g. T.30 CNG)
B	V.8bis signal detected
C-F	Reserved


#UD Multimedia Modes

Code	Definition
0	Data Only
1	FAX Only
2	Voice Only  * if voice mode supported (e.g. V.253, IS-101)
3	VoiceView™
4	ASVD, V.61
5	ASVD, "V.34Q"
6	DSVD, Multi-Tech
7	DSVD, 1.2
8	DSVD, V.70
9	Video-telephony, H.324
A	Other V.80 call (e.g. synchronous PPP over V.80)
B-F	Reserved


#UD DTE-to-DCE Interface
#UD DTE-to-DCE Interface Mode

Code	Definition
0	Async data
1	V.80 transparent synchronous mode
2	V.80 framed synchronous mode
3-F	Reserved


#UD V.34 INFO Bit Report

(applicable only to V.34 or V.90 calls)

Bits	Source Bits	Definition
31-30	INFO0 bit 20; 0
20-29	INFOc bits 79-88
16-19	INFOc bits 26-29 or 35-38 or 44-47 or 53-56- or 62-65 or 71-74	Pre-emphasis field, selected by the symbol rate chosen
12-15	INFOa bits 26-29
10-11	MP bit 50; 0
0-9	INFOa bits 40-49


#UD Modulation Scheme

Value	Description
0	V.17 (G3 Fax call)
1	V.21
2	V.22
3	V.22bis
4	V.23 Constant Carrier (1200/75)
5	V.23 Switched Carrier (half duplex)
6	V.26bis
7	V.26ter
8	V.27ter (G3 Fax call)
9	V.29 HD (G3 Fax call)
A	V.32 (difficult to distinguish from V.32bis)
B	V.32bis
C	V.34
D	V.34 HD (G3 Fax call)
E	V.90 Issue 1 (asymmetric)
F	V.90 Issue 2 (symmetric)
E-7F	Reserved (V.58)
80	"X2™"
82	"V.FC"
83	"V.32terbo"
84	Bell 212A (if modem supports B212A)
85	Bell 103 (if modem supports B103)
86	HST (3Com/USR asymmetric)
80-FF	Reserved for mfgs


#UD Error Control Active

Value	Description
0	Disable/none
1	V.42 LAPM
2	V.42 Alterative protocol (MNP™)
3	V.42 LAPM with Selective Reject (SREJ)
4-7F	Reserved (V.58)
80	MNP10™
81	ECP™ Enhanced Cellular Protocol
82	ETC™ Enhanced Throughput Cellular
82-FF	Reserved for mfgs


#UD Compression Active

Value	Description
0	None
1	V.42bis
2-7F	Reserved (V.58)
80	MNP5™
81-FF	Reserved for mfgs


International Settings

The modem can be configured to comply with operating parameters of various public and private telephone networks.  Parameters for operation inside a particular country can be changed by selecting ...

<insert Country Select Data Here>

This setting will override the default vaules for &Gn (Guard Tone) and &P (Pulse Dial make/break ratio).